# System Requirements

Note

Please note that Treasury‚Äôs PHP requirements are higher than ExpressionEngine‚Äôs because of the Amazon AWS PHP SDK requirements.

General requirements

  • ExpressionEngine 3.3.2 or greater
  • PHP 5.5 or newer compiled with GD (or GD 2) library
  • MySQL 5.0.3 or newer
  • At least 128 megabytes of memory allocated and available to PHP
    • 512 megabytes is recommended (and more if you can spare it).

Control panel interface use requirements

  • Internet Explorer 9 or greater
  • Chrome (tested with 47.0.2526.106)
  • Firefox (tested with 41.0.2)
  • Safari (Mac) (tested with 9.0.2)

# Installing Or Updating

Installing and updating Treasury is very easy.

  1. Download the Treasury zip file and unzip it
  2. Copy system/user/addons/treasury to the same directory location in your EE instance
    • If you are updating, replace the existing treasury directory
  3. Copy themes/user/treasury to the same directory location in your EE instance
    • If you are updating, replace the existing treasury directory
  4. Log in to your EE control panel and navigate to the Add-on Manager
  5. Scroll down to the “Third Party” section, locate “Treasury” in the list and click “Install” or “Update”

Treasury is now installed or updated.